Skip to content
Developer

Article Space

Media6 EndpointsMedia / Article Space

Returns a list of article spaces

GET/api/media/article_space

Query parameters

searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of article spacesarray<MediaArticleSpace>

Show fields (10)
  • idinteger

    Primary key of the article space. Internal ID.

  • childrenarray<MediaArticleSpace>

    Child article spaces.

  • parentMediaArticleSpace

    Parent article space.

  • public_keywordsstring

    Keywords of the article space.

  • view_orderinteger

    Sort order of the article space in lists.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • image_urlstring

    URL of the image of the entity.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/media/article_space \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "name": "Beispiel",
    "image_url": "https://vynst.de",
    "public_keywords": "string",
    "view_order": 1,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00",
    "deleted": true
  }
]

Creates a single article space

POST/api/media/article_space

Request body application/json

  • dataMediaArticleSpace2
    Show fields (5)
    • parentMediaArticleSpace2

      Parent article space.

    • public_keywordsstring

      Keywords of the article space.

    • view_orderinteger

      Sort order of the article space in lists.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • image_urlstring

      URL of the image of the entity.

Responses

200Creates a single article spaceMediaArticleSpace3

Show fields (12)
  • idinteger

    Primary key of the article space. Internal ID.

  • childrenarray<MediaArticleSpace3>

    Child article spaces.

  • parentMediaArticleSpace3

    Parent article space.

  • public_keywordsstring

    Keywords of the article space.

  • view_orderinteger

    Sort order of the article space in lists.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • image_urlstring

    URL of the image of the entity.

  • visibility_typestring

    Type of visibility of the entity.

  • arslistarray<AccessRightStorage8>

    Access rights list that controls the visibility.

    Show fields (12)
    • idinteger

      Primary key of the access right entry. Internal ID.

    • userUser14

      User who gets the access right. Only set for user-specific rights.

    • access_tagAccessTag

      Access tag the right applies to. Only set for rights on a tag.

    • create_mainboolean

      Create permission for main records of the access tag.

    • edit_mainboolean

      Edit permission for main records of the access tag.

    • read_mainboolean

      Read permission for main records of the access tag.

    • create_childboolean

      Create permission for child records (for example items inside a main record).

    • edit_childboolean

      Edit permission for child records (for example items inside a main record).

    • read_childboolean

      Read permission for child records (for example items inside a main record).

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/media/article_space \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "image_url": "https://vynst.de",
    "public_keywords": "string",
    "view_order": 1,
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "image_url": "https://vynst.de",
  "public_keywords": "string",
  "view_order": 1,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true,
  "visibility_type": "string",
  "arslist": [
    {
      "id": 42,
      "create_main": true,
      "edit_main": true,
      "read_main": true,
      "create_child": true,
      "edit_child": true,
      "read_child": true,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    }
  ]
}

Returns a single article space with the given id

GET/api/media/article_space/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single article space with the given idMediaArticleSpace3

Show fields (12)
  • idinteger

    Primary key of the article space. Internal ID.

  • childrenarray<MediaArticleSpace3>

    Child article spaces.

  • parentMediaArticleSpace3

    Parent article space.

  • public_keywordsstring

    Keywords of the article space.

  • view_orderinteger

    Sort order of the article space in lists.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • image_urlstring

    URL of the image of the entity.

  • visibility_typestring

    Type of visibility of the entity.

  • arslistarray<AccessRightStorage8>

    Access rights list that controls the visibility.

    Show fields (12)
    • idinteger

      Primary key of the access right entry. Internal ID.

    • userUser14

      User who gets the access right. Only set for user-specific rights.

    • access_tagAccessTag

      Access tag the right applies to. Only set for rights on a tag.

    • create_mainboolean

      Create permission for main records of the access tag.

    • edit_mainboolean

      Edit permission for main records of the access tag.

    • read_mainboolean

      Read permission for main records of the access tag.

    • create_childboolean

      Create permission for child records (for example items inside a main record).

    • edit_childboolean

      Edit permission for child records (for example items inside a main record).

    • read_childboolean

      Read permission for child records (for example items inside a main record).

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/media/article_space/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "image_url": "https://vynst.de",
  "public_keywords": "string",
  "view_order": 1,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true,
  "visibility_type": "string",
  "arslist": [
    {
      "id": 42,
      "create_main": true,
      "edit_main": true,
      "read_main": true,
      "create_child": true,
      "edit_child": true,
      "read_child": true,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    }
  ]
}

Updates a single article space

PUT/api/media/article_space/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataMediaArticleSpace2
    Show fields (5)
    • parentMediaArticleSpace2

      Parent article space.

    • public_keywordsstring

      Keywords of the article space.

    • view_orderinteger

      Sort order of the article space in lists.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • image_urlstring

      URL of the image of the entity.

Responses

200Updates a single article spaceMediaArticleSpace3

Show fields (12)
  • idinteger

    Primary key of the article space. Internal ID.

  • childrenarray<MediaArticleSpace3>

    Child article spaces.

  • parentMediaArticleSpace3

    Parent article space.

  • public_keywordsstring

    Keywords of the article space.

  • view_orderinteger

    Sort order of the article space in lists.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • image_urlstring

    URL of the image of the entity.

  • visibility_typestring

    Type of visibility of the entity.

  • arslistarray<AccessRightStorage8>

    Access rights list that controls the visibility.

    Show fields (12)
    • idinteger

      Primary key of the access right entry. Internal ID.

    • userUser14

      User who gets the access right. Only set for user-specific rights.

    • access_tagAccessTag

      Access tag the right applies to. Only set for rights on a tag.

    • create_mainboolean

      Create permission for main records of the access tag.

    • edit_mainboolean

      Edit permission for main records of the access tag.

    • read_mainboolean

      Read permission for main records of the access tag.

    • create_childboolean

      Create permission for child records (for example items inside a main record).

    • edit_childboolean

      Edit permission for child records (for example items inside a main record).

    • read_childboolean

      Read permission for child records (for example items inside a main record).

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/media/article_space/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "image_url": "https://vynst.de",
    "public_keywords": "string",
    "view_order": 1,
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "image_url": "https://vynst.de",
  "public_keywords": "string",
  "view_order": 1,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true,
  "visibility_type": "string",
  "arslist": [
    {
      "id": 42,
      "create_main": true,
      "edit_main": true,
      "read_main": true,
      "create_child": true,
      "edit_child": true,
      "read_child": true,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    }
  ]
}

Updates a single article space

PATCH/api/media/article_space/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataMediaArticleSpace2
    Show fields (5)
    • parentMediaArticleSpace2

      Parent article space.

    • public_keywordsstring

      Keywords of the article space.

    • view_orderinteger

      Sort order of the article space in lists.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • image_urlstring

      URL of the image of the entity.

Responses

200Updates a single article spaceMediaArticleSpace3

Show fields (12)
  • idinteger

    Primary key of the article space. Internal ID.

  • childrenarray<MediaArticleSpace3>

    Child article spaces.

  • parentMediaArticleSpace3

    Parent article space.

  • public_keywordsstring

    Keywords of the article space.

  • view_orderinteger

    Sort order of the article space in lists.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • image_urlstring

    URL of the image of the entity.

  • visibility_typestring

    Type of visibility of the entity.

  • arslistarray<AccessRightStorage8>

    Access rights list that controls the visibility.

    Show fields (12)
    • idinteger

      Primary key of the access right entry. Internal ID.

    • userUser14

      User who gets the access right. Only set for user-specific rights.

    • access_tagAccessTag

      Access tag the right applies to. Only set for rights on a tag.

    • create_mainboolean

      Create permission for main records of the access tag.

    • edit_mainboolean

      Edit permission for main records of the access tag.

    • read_mainboolean

      Read permission for main records of the access tag.

    • create_childboolean

      Create permission for child records (for example items inside a main record).

    • edit_childboolean

      Edit permission for child records (for example items inside a main record).

    • read_childboolean

      Read permission for child records (for example items inside a main record).

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/media/article_space/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "image_url": "https://vynst.de",
    "public_keywords": "string",
    "view_order": 1,
    "deleted": true
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "image_url": "https://vynst.de",
  "public_keywords": "string",
  "view_order": 1,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true,
  "visibility_type": "string",
  "arslist": [
    {
      "id": 42,
      "create_main": true,
      "edit_main": true,
      "read_main": true,
      "create_child": true,
      "edit_child": true,
      "read_child": true,
      "created": "2026-10-15T09:30:00+02:00",
      "updated": "2026-10-15T09:30:00+02:00",
      "deleted": true
    }
  ]
}

Deletes a single MediaArticleSpace

DELETE/api/media/article_space/{identifier}

Path parameters

identifierrequiredstring

Responses

200Deletes a single MediaArticleSpaceMediaArticleSpace10

Show fields (10)
  • idinteger

    Primary key of the article space. Internal ID.

  • childrenarray<MediaArticleSpace10>

    Child article spaces.

  • parentMediaArticleSpace10

    Parent article space.

  • public_keywordsstring

    Keywords of the article space.

  • view_orderinteger

    Sort order of the article space in lists.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • namestring

    Name of the entity.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

  • image_urlstring

    URL of the image of the entity.

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/media/article_space/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "image_url": "https://vynst.de",
  "public_keywords": "string",
  "view_order": 1,
  "created": "2026-10-15T09:30:00+02:00",
  "updated": "2026-10-15T09:30:00+02:00",
  "deleted": true
}